{ pkgs, inputs, ... }:
{
  imports = [
    ../../common/encrypted-btrfs-layout.nix
    ../../common/global
    ../../common/cluster-member.nix  # Consul + storage clients
    ../../common/nomad-worker.nix     # Nomad client (runs jobs)
    ../../common/nomad-server.nix     # Consul + Nomad server mode
    ../../common/binary-cache-server.nix
    ./hardware.nix
  ];

  diskLayout = {
    mainDiskDevice = "/dev/disk/by-id/nvme-INTENSO_SSD_1782403017002453";
    #keyDiskDevice = "/dev/disk/by-id/usb-Intenso_Micro_Line_22080777650050-0:0";
    keyDiskDevice = "/dev/sda";
  };

  networking.hostName = "c3";
  services.tailscaleAutoconnect.authkey = "tskey-auth-kReCuA7E8M11CNTRL-DBGsB3YLBvQwCdWcviQQtQ1zV23pQpQP4";
}
